import javax.persistence.*;
import java.util.Collection;

@Entity
@PrimaryKeyJoinColumns({
   @PrimaryKeyJoinColumn(name="NP_PK1",
       referencedColumnName="PK1"),
   @PrimaryKeyJoinColumn(name="NP_PK2",
       referencedColumnName="PK2")
   })
public class NaturalPerson extends Person {

    private String ext1;
    public Collection<NaturalPerson> children;

    public NaturalPerson() {
    }

    public String getExt1() {
        return ext1;
    } 

    public void setExt1(String v) {
        ext1 = v;
    }

    @ManyToMany(cascade=CascadeType.ALL)
    @JoinTable(name="CHILDREN_PARENT",
                 joinColumns={
                   @JoinColumn(name="P_ID1", referencedColumnName="PK1"),
                   @JoinColumn(name="P_ID2", referencedColumnName="PK2")
                 },
                 inverseJoinColumns={
                   @JoinColumn(name="C_ID1", referencedColumnName="PK1"),
                   @JoinColumn(name="C_ID2", referencedColumnName="PK2")
                 }
              )
    public Collection<NaturalPerson> getChildren() {
        return children;
    }

    public void setChildren(Collection<NaturalPerson> children) {
        this.children = children;
    }


}
