import javax.persistence.*;
import java.util.*;

public class TestClient {
  @PersistenceUnit private static EntityManagerFactory emf;

  public static void main(String[] args) throws Exception {
    if(emf == null) {
       emf = Persistence.createEntityManagerFactory("pu1");
    }
    EntityManager em = emf.createEntityManager();
    em.getTransaction().begin();
    String input1 = args[0];

    System.out.println("input1="+input1);

    PersonPK pk_p1 = new PersonPK("pk1_p1", "pk2_p1");
    NaturalPerson p1 = new NaturalPerson();
    p1.setPersonPK(pk_p1);
    p1.setName("person1");
    p1.setExt1("ext_p1");

    PersonPK pk_p2 = new PersonPK("pk1_p2", "pk2_p1");
    NaturalPerson p2 = new NaturalPerson();
    p2.setPersonPK(pk_p2);
    p2.setName("person2");
    p2.setExt1("ext_p2");

    PersonPK pk_p3 = new PersonPK("pk1_p3", "pk2_p1");
    NaturalPerson p3 = new NaturalPerson();
    p3.setPersonPK(pk_p3);
    p3.setName("person3");
    p3.setExt1("ext_p3");

    Vector<NaturalPerson> c = new Vector<NaturalPerson>();
    c.add(p2);
    c.add(p3);

    p1.setChildren(c);

    em.persist(p1);
    em.getTransaction().commit();
    System.out.println("p1.pk="+ p1.getPersonPK());

    em.close();
  }

}
